<?php 
class billing_model{
	public function rekl(){
		if(isset($_POST['name']) && isset($_POST['url']) && isset($_POST['days'])){
			$user = User::getUser();
                        $name = $_POST['name'];
			$url = $_POST['url'];
			$time = $_POST['days'];
			
			if(strlen($name) <	5 or strlen($title) > 30) $err = 'Название рекламы должно быть в пределах 5 - 30 символов';
			if(strlen($url) < 2 or strlen($opis) > 50) $err = 'Адрес должен быть в пределах 2 - 50 символов';
			if($time < 1 && $count > 14) $err = 'кол-во дней должно быть в диапазоне от 1 до 14';
			if (!preg_match("/^(http|https):\/\/([A-Z0-9][A-Z0-9_-]*(?:.[A-Z0-9][A-Z0-9_-]*)+):?(d+)?\/?/Diu", $url)) $err = 'Недопустимый формат URL';
			if($user['wmr']<$time*Core::$config['rekl']) $err = 'Не достаточно средств';
			if(!isset($err)){
$time_last=time()+$time*24*60*60;
				Core::query("INSERT INTO `rekl` SET `name` = ?, `url` = ?, `date_last` = ?", array($name, $url, $time_last));
	Core::query("UPDATE `users` SET `wmr` = '".($user['wmr'] - $time*Core::$config['rekl'])."' where `id` = '$user[id]'");
Core::redirect('/billing/rekl', 'Реклама успешно приобретена');
			}else{
				Core::redirect('/billing/rekl', $err);
			}
		}
	}
}
?>